from html.parser import HTMLParser

class PCounter(HTMLParser):
    def __init__(self):
        super().__init__()
        self.count = 0

    def handle_starttag(self, tag, attrs):
        if tag == "p":
            self.count += 1

parser = PCounter()
parser.feed("<p></p><p></p><p></p><p></p><p></p>")
print(parser.count)

#《程式語言教學誌》的範例程式
# https://kaiching.org/
# 檔名：hdemo01.py
# 功能：示範 html.parser 模組
# 作者：張凱慶
